#include <inttypes.h>

/* RFM12B Konfiguration */
#if defined(__AVR_ATtiny85__)
  #define SCK  3           // SPI clock
  #define SDO  1           // SPI Data output (RFM12B side)
  #define SDI  4           // SPI Data input (RFM12B side)
  #define CS   5           // SPI SS (chip select)
  #define NIRQ 2           // (PORTB)
  #define SPIDDR DDRB      // SPI Port Direction
  #define SPIPIN PINB
  #define SPIPORT PORTB

#elif defined(__AVR_ATmega128__)
  #define SCK  3 //1           // SPI clock
  #define SDO  7 //3           // SPI Data output (RFM12B side)
  #define SDI  1 //2           // SPI Data input (RFM12B side)
  #define CS   5               // SPI SS (chip select)
  #define NIRQ 0               // (PORTB)
  #define SPIDDR DDRB          // SPI Port Direction
  #define SPIPIN PINB
  #define SPIPORT PORTB

#else
#  error "Unknown MCU type."
#endif

  /* IO CONTROL */
  #define HI(x) SPIPORT |= (1<<(x))
  #define LO(x) SPIPORT &= ~(1<<(x))


void portInit() ;
unsigned int writeCmd(unsigned int cmd);
void rfInit();
void rfSend(unsigned char data);
void switch2TX(void);
void switch2RX(void);
unsigned char rfReceive();
void clearFIFO(void);
unsigned char rfm12Batt();


